//////////////////////////
//EDIT BY.V!0   2016
//FOR GAME URBAN TERROR
//////////////////////////

textures/vio_2/caulk
{
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm nomarks
}

textures/vio_2/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/vio_2/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/vio_2/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}

textures/vio_2/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/vio_2/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/vio_2/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/vio_2/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}

textures/vio_2/hallow
{
	qer_editorimage "textures/vio_2/hallow.jpg"
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodamage
}

textures/vio_2/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/vio_2/boulder_sky
{
	qer_editorimage env/vio_2_sky/boulder_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 1.00 70 90 90
	q3map_surfacelight 300
	skyparms env/vio_2_sky/boulder - -
}

textures/vio_2/vio_2_sky
{
	qer_editorimage env/vio_2_sky/vio_2_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 1.00 70 90 90
	q3map_surfacelight 300
	skyparms env/vio_2_sky/vio_2 - -
}

textures/vio_2/water_x
{
        qer_editorimage textures/vio_2/water_x.tga
        qer_trans .5
        q3map_lightimage textures/vio_2/water_x.tga
        q3map_globaltexture
        q3map_surfacelight 300

        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water

        cull disable
        deformVertexes wave 64 sin .25 .25 0 .5
        {
                map textures/vio_2/water_x.tga
                blendFunc GL_dst_color GL_one
                rgbgen identity
                tcmod scale .5 .5
       		//tcmod scroll .025 .01
		tcmod scroll .02 0.1
        }
        {
                map textures/vio_2/water_x.tga
                blendFunc GL_dst_color GL_one
                tcmod scale -.5 -.5
                tcmod scroll .025 .025
        }
        {
                map $lightmap
                blendFunc GL_dst_color GL_zero
                rgbgen identity
        }
}

textures/vio_2/light_white
{
	qer_editorimage textures/vio_2/light_white
	q3map_lightimage textures/vio_2/light_white_sfx
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/vio_2/light_white
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/vio_2/light_white_sfx
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/vio_2/light_red
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/light_red_blend.jpg
	qer_editorimage textures/vio_2/light_red.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/light_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/light_red_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/vio_2/light_green
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/light_green_blend.jpg
	qer_editorimage textures/vio_2/light_green.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/light_green.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/light_green_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/vio_2/neon
{
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/neon_blend.jpg
	qer_editorimage textures/vio_2/neon.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/neon.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/neon_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/vio_2/spot
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/spot_blend.jpg
	qer_editorimage textures/vio_2/spot.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/spot.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/spot_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/vio_2/spot2
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/spot2_blend.jpg
	qer_editorimage textures/vio_2/spot2.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/spot2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/spot2_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/vio_2/bigtrim
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 300
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/bigtrim_blend.jpg
	qer_editorimage textures/vio_2/bigtrim.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/bigtrim.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/bigtrim_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/vio_2/icestrip
{
        qer_editorimage textures/vio_2/icestrip.tga
        //qer_trans .85
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/vio_2/icestrip.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/vio_2/icestrip_nonsolide
{
        qer_editorimage textures/vio_2/icestrip.tga
        //qer_trans .85
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/vio_2/icestrip.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/vio_2/2
{
        qer_editorimage textures/vio_2/2.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/vio_2/ice.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/vio_2/2_nonsolide
{
        qer_editorimage textures/vio_2/2.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/vio_2/ice.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/vio_2/1
{
        qer_editorimage textures/vio_2/1.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/vio_2/ice.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/vio_2/1_nonsolide
{
        qer_editorimage textures/vio_2/1.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/vio_2/ice.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/vio_2/ice_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/vio_2/floor
{
	qer_editorimage "textures/vio_2/floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/floor2
{
	qer_editorimage "textures/vio_2/floor2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/floor2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/floor3
{
	qer_editorimage "textures/vio_2/floor3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/floor3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/strip
{
	qer_editorimage "textures/vio_2/strip.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/strip.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/black
{
	qer_editorimage "textures/vio_2/black.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/black.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/base1
{
	qer_editorimage "textures/vio_2/base1.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/base1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/base2
{
	qer_editorimage "textures/vio_2/base2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/base2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/base3
{
	qer_editorimage "textures/vio_2/base3.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/base3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/base4
{
	qer_editorimage "textures/vio_2/base4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/base4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/base5
{
	qer_editorimage "textures/vio_2/base5.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/base5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/red_mint
{
	qer_editorimage "textures/vio_2/red_mint.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/red_mint.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/white_mint
{
	qer_editorimage "textures/vio_2/white_mint.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/white_mint.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/black_floor
{
	qer_editorimage "textures/vio_2/black_floor.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/black_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/red_floor
{
	qer_editorimage "textures/vio_2/red_floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/red_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/turcuaz_floor
{
	qer_editorimage "textures/vio_2/turcuaz_floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/turcuaz_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/grey_floor
{
	qer_editorimage "textures/vio_2/grey_floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/grey_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/brown_floor
{
	qer_editorimage "textures/vio_2/brown_floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/brown_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/green_floor
{
	qer_editorimage "textures/vio_2/green_floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/green_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/trim
{
	qer_editorimage "textures/vio_2/trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/vio_2/trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/strip_trim
{
	qer_editorimage "textures/vio_2/strip_trim.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/strip_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/nec
{
	qer_editorimage "textures/vio_2/nec.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/vio_2/nec.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/vio_2/u_lamp4
{
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/u_lamp4_blend.jpg
	qer_editorimage textures/vio_2/u_lamp4.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/u_lamp4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/u_lamp4_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/vio_2/u_lamp5
{
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/vio_2/u_lamp5_blend.jpg
	qer_editorimage textures/vio_2/u_lamp5.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vio_2/u_lamp5.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vio_2/u_lamp5_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/vio_2/gold_01
{
	qer_editorimage textures/vio_2/gold.jpg
	{
       	map textures/vio_2/gold.jpg
	}
	{
       	map textures/vio_2/reflect.tga
       	tcGen environment
         	blendfunc add
          	rgbGen identity
 	}
 	{
		map $lightmap
        	blendFunc filter
		rgbGen identity
	}
}

textures/vio_2/blue_bars
{
	nopicmip
	qer_trans .6
    	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	q3map_globaltexture
	sort additive
	{
		map textures/vio_2/blue_bars.tga		
		blendFunc GL_ONE GL_ONE
		tcMod scroll .75 0
	}
}

textures/vio_2/portal
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	sort additivie
	cull disable
	{
		clampmap textures/vio_2/portal.tga
		blendfunc add
		rgbGen identity
		tcMod rotate -4
		depthWrite
	}
	{
		clampmap textures/vio_2/portal.tga
		blendfunc add
		rgbGen identity
		tcMod rotate 4
		depthWrite
	}
}

textures/vio_2/sb_lava
{
	qer_editorimage textures/vio_2/sb_lava.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes wave 100 sin 3 2 0.25 0.4 
	tessSize 128
	q3map_surfacelight 630
	q3map_globaltexture
	{
		map textures/vio_2/sb_lava.tga
		tcMod turb 0 0.25 0.2 0.015
	}
	{
		map textures/vio_2/sb_lava.tga
		blendfunc add
		tcMod turb 0 0.02 0.15 0.02
	}
}






